Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 520124 - setroubleshoot: SELinux is preventing udev-acl.ck "getattr" access on /dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1d.1\x2fusb3\x2f3-1\x2f3-1:1.0\x2finput\x2finput3\x2fevent3.
Summary: setroubleshoot: SELinux is preventing udev-acl.ck "getattr" access on /d...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1ab60f1e782...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 14:11 UTC by zachary charlop-powers
Modified: 2009-09-04 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 14:37:21 UTC
Type: ---


Attachments (Terms of Use)

Description zachary charlop-powers 2009-08-28 14:11:13 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing udev-acl.ck "getattr" access on
/dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1d.1\x2fusb3\x2f3-1\x2f3-1:1.0\x2finput\x2finput3\x2fevent3.

Detailed Description:

SELinux denied access requested by udev-acl.ck. It is not expected that this
access is required by udev-acl.ck and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00
                              :1d.1\x2fusb3\x2f3-1\x2f3-1:1.0\x2finput\x2finput3
                              \x2fevent3 [ file ]
Source                        udev-acl.ck
Source Path                   /lib/udev/udev-acl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           udev-145-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.28-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.180.rc7.git4.fc12.i686 #1 SMP Wed Aug 26
                              16:30:44 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Fri 28 Aug 2009 09:47:53 AM EDT
Last Seen                     Fri 28 Aug 2009 09:47:53 AM EDT
Local ID                      6b803ce8-04df-4207-91b5-1f9b8b7f0cf2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251467273.170:76): avc:  denied  { getattr } for  pid=1832 comm="udev-acl.ck" path="/dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1d.1\x2fusb3\x2f3-1\x2f3-1:1.0\x2finput\x2finput3\x2fevent3" dev=tmpfs ino=8170 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1251467273.170:76): arch=40000003 syscall=196 success=no exit=-13 a0=bfb0ce2c a1=bfb0b9c8 a2=43cff4 a3=8484344 items=0 ppid=1255 pid=1832 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="udev-acl.ck" exe="/lib/udev/udev-acl" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= consolekit_t ==============
allow consolekit_t udev_tbl_t:file getattr;

Comment 1 Daniel Walsh 2009-08-28 17:10:50 UTC
Is  /lib/udev/udev-acl labeled correctly?

ls -lZ /lib/udev/udev-acl
-rwxr-xr-x. root root system_u:object_r:udev_exec_t:s0 /lib/udev/udev-acl


# restorecon -v /lib/udev/udev-acl

Should fix it.

consolekit is supposed to transition to udev_t if udev-acl is labeled correctly


Note You need to log in before you can comment on or make changes to this bug.